# this is used throughout the program to get the right coordinator
# for a particular subject or resource by their id

import hashlib
NUMCOORD = 2

def getCoordinatorIndex(id):
    return int(hashlib.sha256(str(id).encode('utf-8')).hexdigest(), 16) % NUMCOORD + 1

def getCoordinator(id, coordIndexToCoordProcessMapper):
    index = getCoordinatorIndex(id)
    return coordIndexToCoordProcessMapper[index]