def getStatsFolderName(config):
    return config['statsFolder'] + "/" + config['experimentName'] + "/"
def getLogsFolderName(config):
    return config['logFolder'] + "/" + config['experimentName'] + "/"

def getBaseExperimentName(config):
    return "nObj-" + str(config['nObj']) + "_nReq-" + str(config['nRequest']) + "_nClient-" + str(config['nClient']) + \
             "_nWorker-" + str(config['nWorker']) + "_pWrite-" + str(config['pWrite']) + "_pSameCoord-" + str(config['pSameCoord'])

def getStatsFilename(config):
    return config['statsFolder'] + "/" + config['experimentName'] + "/" + getBaseExperimentName(config) + ".txt"

def getPickleFilename(config):
    return config['statsFolder'] + "/" + config['experimentName'] + "/" + getBaseExperimentName(config) + ".pickle"

def getClientLogFilename(config):
    return config['logFolder'] + "/" + config['experimentName'] + "/" + getBaseExperimentName(config) + ".client.txt"

def getMasterLogFilename(config):
    return config['logFolder'] + "/" + config['experimentName'] + "/" + getBaseExperimentName(config) + ".master.txt"

def getCoordLogFilename(config, index):
    return config['logFolder'] + "/" + config['experimentName'] + "/" + getBaseExperimentName(config) + ".coord-" + str(index) + ".txt"

def getTmpRequestFilename(config, index):
    return config['requestsFolder'] + "/" + getBaseExperimentName(config) + ".requests-" + str(index) + ".tmp"

def getThroughputGraphFilename(config):
    return "graphs" + "/" + config['experimentName'] + "/" + "throughput.png"
def getLatencyGraphFilename(config):
    return "graphs" + "/" + config['experimentName'] + "/" + "latency.png"
def getfConflictGraphFilename(config):
    return "graphs" + "/" + config['experimentName'] + "/" + "fConflict.png"
def getNetworkMessagePerRequestGraphFilename(config):
    return "graphs" + "/" + config['experimentName'] + "/" + "networkMessagesPerRequest.png"
def getMessagePerRequestGraphFilename(config):
    return "graphs" + "/" + config['experimentName'] + "/" + "messagesPerRequest.png"
